<a routerLink="demo">demos</a> -
<a routerLink="users">users</a> -
<a *ngIf="authenticatedUser === undefined" routerLink="login">login</a> -
<button *ngIf="authenticatedUser" (click)="onLogout()">logout</button>

<span *ngIf="authenticatedUser">Hello {{authenticatedUser.username}} !</span>

<router-outlet></router-outlet>
